# Bash Music sync
(c) 2018-2020 Jeroen De Meerleer <me@jeroened.be>

Script to sync music from one folder to another

## Usage:

```
 Syncronises music from one folder to another.

 Usage:
 music-sync <options> -s|--source <source> -d|--dest <destination>
 music-sync <options> <source> <destination>

 Options:
  -s, --source <source>      The source folder of the music
  -d, --dest <destination>   The destination folder of the music
  -t, --temp <folder>        The temporary cache for converted files (default: /tmp/converted)
  -c, --convert <bitrate>    Convert files to a given bitrate in kbps before syncing (default: 192)
  -a, --resize-art <width>   Resize album-art before syncing (default width: 200)
  -j, --jobs <nproc>         Number of processes to use in multi-threading (default: nproc - 2)
  -v, --verbose <0-6>        Set log level (default: 2)
  -h, --help                 Display this help text

 Log levels:
  0 | Verbose
  1 | Debug
  2 | Info
  3 | Warning
  4 | Error
  5 | Fatal
  6 | Silence

 Exit Codes:
  1 Dependencies not met
  2 Invalid Argument
  3 Source Unreachable
  4 Destination Unreachable
  5 Command failed

```

## Licence
Copyright 2018-2020 Jeroen De Meerleer <me@jeroened.be>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
